# -*- coding:Utf-8 -*-
import es, playerviewlib


def player_say(event):
    # get userid and text
    userid, text = event["userid"], event["text"]

    # if player wrote "entity"
    if text == "entity":
        # get index of aimed entity
        playerviewlib.entity(userid, player_view)

    # if player wrote "player"
    if text == "player":
        # get userid of aimed player
        playerviewlib.player(userid, player_view)

    # if player wrote "weapon"
    if text == "weapon":
        # get index of viewed weapon
        playerviewlib.weapon(userid, player_view)

    # if player wrote "coord"
    if text == "coord":
        # get coordinates where the player is aiming
        playerviewlib.coord(userid, player_view)

def player_view(playerview):
    """
        Parameter "playerview" is the instance of PlayerView object of player designated by "userid"
        You can get informations with attributes :

            # basic attributes
                * userid = userid of player that aiming
                * function = name of function executed
                * classname = name of entity viewved (for entity, player & weapon functions)
                * parameters = optional. could be what you want

            # for the aimed entity:
                * entityid = index of entity aimed (-1 if none)

            # for the aimed player:
                * playerid = userid of player aimed (0 if none)
                * playerindex = index of player aimed (-1 if none)

            # for the aimed weapon:
                * weaponid = index of weapon aimed (-1 if none)

            # for the player that aiming :
                * coordinates = coordinates where the player is aiming
                * coordlist = coordinates where the player is aiming in a list
    """

    # if function was "entity"
    if playerview.function == "entity":
        # if no entity is aimed, it will return -1
        if playerview.entityid == -1: es.tell(playerview.userid, "Index of entity : None")
        else: es.tell(playerview.userid, "Index of entity : %s" % playerview.entityid)

    # if function was "player"
    if playerview.function == "player":
        # if no player is aimed, it will return 0
        if playerview.playerid == 0: es.tell(playerview.userid, "Userid of player : None")
        else: es.tell(playerview.userid, "Userid of player : %s" % playerview.playerid)

    # if function was "weapon"
    if playerview.function == "weapon":
        # if no weapon is aimed, it will return -1
        if playerview.weaponid == -1: es.tell(playerview.userid, "Name of weapon : None")
        else: es.tell(playerview.userid, "Name of weapon : %s" % playerview.classname)

    # if function was "coord"
    if playerview.function == "coord":
        es.tell(playerview.userid, "You are looking at : %s" % playerview.coordinates)
